[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.SortVisibleBands

Calculates the number of visible bands (and controls) and optionally sorts visible bands to reflect their Top and Left coordinates.

## Declaration

Source position: extctrls.pp line 1649

`protected procedure TCustomControlBar.SortVisibleBands;`

## Description

Called from the MouseUp and CheckBandsSizeAndVisibility methods.

## See also

TCustomControlBar.MouseUp |  | Handles a mouse up message that ends a drag operation for a control band.
TCustomControlBar.CheckBandsSizeAndVisibility |  | Updates the size and visibility for TCtrlBand instances defined in the control bar.